Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033397
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2016-06-30 17:172017-09-21 16:49
ReportervmromanosView Statuspublic 
Assigned Tomarkmm82 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision3e0bc2ad77c6
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseOracleJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033397: Reactivate a reservation doesn't work in Oracle when the reservation is not linked to an order

DescriptionOracle only!

When you try to reactivate a reservation that is not linked to an order, the process fails with the error message:

ORA-01403: no data found
Steps To ReproduceGo to preference window. Create a new record:
  Property: Enable Stock Reservations
  Value: Y

Log out and log in

Go to Stock Reservation window. Create a new record. Select any product and quantity. Process the reservation.

Now press "Put on hold" button and select "Reactivate" action. The error is raised
Proposed SolutionAttached a proposed solution (not properly tested).

The procedure is always expecting an order linked to the reservation, and this is not always true.
TagsNo tags attached.
Attached Filesdiff file icon 33397_proposed.diff [^] (1,670 bytes) 2016-06-30 17:18 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0098512)
markmm82 (developer)
2017-08-15 21:32

Test Plan:
Go to preference window. Create a new record:
  Property: Enable Stock Reservations
  Value: Y

Log out and log in

Go to Stock Reservation window. Create a new record. Select any product and quantity. Process the reservation.

Now press "Put on hold" button and select "Reactivate" action. The process is successfull.
(0098640)
hgbot (developer)
2017-08-25 08:52

Repository: erp/devel/pi
Changeset: 3e0bc2ad77c6eb288dd7d22bede0402d9fe17103
Author: Mark <markmm82 <at> gmail.com>
Date: Tue Aug 15 15:00:49 2017 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/3e0bc2ad77c6eb288dd7d22bede0402d9fe17103 [^]

Fixes issue 33397: Reactivate a reservation doesn't work in Oracle

When you try to reactivate a reservation that is not linked to an order, the process
fails with the error message. Problem is that procedure is always expecting an order
linked to the reservation, and this doesn't happen always.

---
M src-db/database/model/functions/M_RESERVATION_POST.xml
---
(0098643)
aferraz (developer)
2017-08-25 08:58

Code review + Testing OK
(0099327)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-06-30 17:17 vmromanos New Issue
2016-06-30 17:17 vmromanos Assigned To => Triage Finance
2016-06-30 17:17 vmromanos Modules => Core
2016-06-30 17:17 vmromanos Triggers an Emergency Pack => No
2016-06-30 17:18 vmromanos File Added: 33397_proposed.diff
2017-08-15 20:04 markmm82 Assigned To Triage Finance => markmm82
2017-08-15 20:04 markmm82 Status new => scheduled
2017-08-15 21:32 markmm82 Note Added: 0098512
2017-08-25 08:52 hgbot Checkin
2017-08-25 08:52 hgbot Note Added: 0098640
2017-08-25 08:52 hgbot Status scheduled => resolved
2017-08-25 08:52 hgbot Resolution open => fixed
2017-08-25 08:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3e0bc2ad77c6eb288dd7d22bede0402d9fe17103 [^]
2017-08-25 08:58 aferraz Review Assigned To => aferraz
2017-08-25 08:58 aferraz Note Added: 0098643
2017-08-25 08:58 aferraz Status resolved => closed
2017-08-25 08:58 aferraz Fixed in Version => 3.0PR17Q4
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099327


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker